authing_sdk_v3 1.0.1 copy "authing_sdk_v3: ^1.0.1" to clipboard
authing_sdk_v3: ^1.0.1 copied to clipboard

Authing SDK for Flutter. It provides basic authentication APIs, user profile APIs, social connection APIs, Multi-factor Authentication APIs

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add authing_sdk_v3

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  authing_sdk_v3: ^1.0.1

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:authing_sdk_v3/authing.dart';
import 'package:authing_sdk_v3/client.dart';
import 'package:authing_sdk_v3/config.dart';
import 'package:authing_sdk_v3/oidc/auth_request.dart';
import 'package:authing_sdk_v3/oidc/cookie_manager.dart';
import 'package:authing_sdk_v3/oidc/oidc_client.dart';
import 'package:authing_sdk_v3/options/login_options.dart';
import 'package:authing_sdk_v3/options/register_options.dart';
import 'package:authing_sdk_v3/result.dart';
import 'package:authing_sdk_v3/user.dart';
import 'package:authing_sdk_v3/util.dart';
0
likes
130
pub points
43%
popularity

Publisher

verified publisherflutter.authing.cn

Authing SDK for Flutter. It provides basic authentication APIs, user profile APIs, social connection APIs, Multi-factor Authentication APIs

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

crypto, encrypt, flutter, http, pointycastle, shared_preferences

More

Packages that depend on authing_sdk_v3